<?php

/*
 * @package RS-MINI
 * @copyright (c) 2015-2016 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */

namespace conf; 

if(!defined('RS-MINI')) die();

/*
 * config v 1.0
 * 
 * класс с настройками движка
 *
 */

class config
{
    /*
     * установка настроек движка
     * 
     * @access - public
     */
    
    public static function setConfig()
    {
        // получаем и регаем константы проекта
        self::setConstant();
    }
    
    /*
     * метод запрашивает и запоминает константы проекта
     * 
     * @access - private
     * @return - boolean
     */
    
    private static function setConstant()
    {
        // константы БД
        define('DB_SERVER',         'localhost');                             // сервер БД
        define('DB_USER',           'root');                                  // юзер БД
        define('DB_PASS',           '123456');                                // пароль БД
        define('DB_NAME',           'rs_mini');                               // имя БД
        
        // стартуем подключение к БД
        \core\sql::setConnect();
        
        // получаем список констант
        if (!$constantList = \core\sql::query('SELECT * FROM rs_constant')->fetch())
            // если списка нет, то выводим false
            return FALSE;
            
        // листаем список
        foreach ($constantList as $constant) {
            // пытаемся определить булевое ли значение
            switch (mb_strtolower($constant['constant_value'])) {
                // если значение равно 'true'
                case 'true':
                    // приводим к булю
                    $value = TRUE;
                    break;
                    
                // если значение равно 'false'
                case 'false':
                    // приводим к булю
                    $value = FALSE;
                    break;
                    
                // по умолчанию
                default:
                    // сохраняем значение константы без изменений
                    $value = $constant['constant_value'];
                    break;
            }
            
            // регистрируем константу
            define($constant['constant_name'], $value);
        }
        
        return TRUE;
    }
}

